package jp.agentec.sinaburocast.service;

import java.util.List;

import jp.agentec.sinaburocast.entity.DeliveryGroupMember;

import org.seasar.extension.jdbc.where.SimpleWhere;
import org.seasar.framework.container.annotation.tiger.Component;
import org.seasar.framework.container.annotation.tiger.InstanceType;

@Component(instance=InstanceType.SINGLETON)
public class DeliveryGroupMemberService extends AbstractService<DeliveryGroupMember> {


    public List<DeliveryGroupMember> findBymemberIdList(Integer memberId) {
        return select().where(new SimpleWhere().eq("memberId", memberId)).getResultList();
    }

    public List<DeliveryGroupMember> findAllOrderByIdAll(Integer deliveryGroupId) {
        return select().where(new SimpleWhere().eq("deliveryGroupId", deliveryGroupId)).getResultList();
    }

    public List<DeliveryGroupMember> findAllOrderByIdAllList(Integer deliveryGroupId, Integer offSet) {
    	if(offSet == null){
    		return select().innerJoin("member").leftOuterJoin("memberWithdraw")
            		.where(new SimpleWhere().eq("deliveryGroupId", deliveryGroupId)
            				.eq("delFlg",0)).orderBy("memberId asc").getResultList();
    	}else{
    		return select().innerJoin("member").leftOuterJoin("memberWithdraw")
            		.where(new SimpleWhere().eq("deliveryGroupId", deliveryGroupId)
            				.eq("delFlg",0)).orderBy("memberId asc").limit(100).offset(offSet).getResultList();
    	}
        
    }
}