package jp.agentec.sinaburocast.service;

import javax.annotation.Resource;

import jp.agentec.sinaburocast.entity.EnqueteMailSendResult;
import jp.agentec.sinaburocast.form.admin.mail.MailResultForm;
import junit.framework.TestSuite;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.seasar.dao.unit.S2DaoTestCase;

public class EnqueteMailSendResultServiceTest extends S2DaoTestCase {

	@Resource
	private EnqueteMailSendResultService enqueteMailSendResultService;

	public EnqueteMailSendResultServiceTest(String string) {
		super(string);
	}

	public static TestSuite suite() {
		TestSuite suite = new TestSuite("EnqueteMailSendResultServiceTest");
		suite.addTest(new EnqueteMailSendResultServiceTest("findById"));
		suite.addTest(new EnqueteMailSendResultServiceTest("findAllOrderById"));
		suite.addTest(new EnqueteMailSendResultServiceTest("findAllOrderById1"));
		suite.addTest(new EnqueteMailSendResultServiceTest("findAllOrderByIdList"));
		suite.addTest(new EnqueteMailSendResultServiceTest("insertEnqueteMail"));
		suite.addTest(new EnqueteMailSendResultServiceTest("findAllOrderByIdResult"));
		suite.addTest(new EnqueteMailSendResultServiceTest("findAllOrderByIdReport"));
		suite.addTest(new EnqueteMailSendResultServiceTest("findMailByMessageId"));
		return suite;
	}


	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
        include("app.dicon");
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
	}

	public void findById() {
		System.out.println(enqueteMailSendResultService.findById((long) 1));
	}
	public void findAllOrderById() {
		System.out.println(enqueteMailSendResultService.findAllOrderById());
	}
	public void findAllOrderById1() {
		System.out.println(enqueteMailSendResultService.findAllOrderById(1));
	}
	public void findAllOrderByIdList() {
		System.out.println(enqueteMailSendResultService.findAllOrderByIdList(1));
	}
	public void insertEnqueteMail() {
		EnqueteMailSendResult enqueteMailSendResult = new EnqueteMailSendResult();
		enqueteMailSendResult.enqueteMailId = 50;
		enqueteMailSendResult.memberId = 100;
		enqueteMailSendResult.messageId = "1";
		enqueteMailSendResult.email = "aaa";
		System.out.println(enqueteMailSendResultService.insertEnqueteMail(enqueteMailSendResult,"TEST"));
	}
	public void findAllOrderByIdResult() {
		MailResultForm mailResultForm = new MailResultForm();
		mailResultForm.enqueteMailId = "50";
		System.out.println(enqueteMailSendResultService.findAllOrderByIdResult(null,1,mailResultForm));
	}
	public void findAllOrderByIdReport() {
		System.out.println(enqueteMailSendResultService.findAllOrderByIdReport(1, 0));
	}
	public void findMailByMessageId() {
		System.out.println(enqueteMailSendResultService.findMailByMessageId("1"));
	}
}
