package jp.agentec.sinaburocast.service;

import java.io.UnsupportedEncodingException;

import javax.annotation.Resource;
import javax.mail.MessagingException;

import jp.agentec.sinaburocast.common.exception.SystemException;
import jp.agentec.sinaburocast.entity.Enquete;
import jp.agentec.sinaburocast.entity.Member;
import jp.agentec.sinaburocast.entity.PointDonation;
import junit.framework.TestSuite;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.seasar.dao.unit.S2DaoTestCase;

public class PointDonationServiceTest extends S2DaoTestCase {

	@Resource
	private PointDonationService pointDonationService;

	public PointDonationServiceTest(String string) {
		super(string);
	}

	public static TestSuite suite() {
		TestSuite suite = new TestSuite("PointDonationServiceTest");
		suite.addTest(new PointDonationServiceTest("findById"));
		suite.addTest(new PointDonationServiceTest("insertPointDonationTx"));
		suite.addTest(new PointDonationServiceTest("findBymemberId"));
		suite.addTest(new PointDonationServiceTest("findAllOrderById"));
		suite.addTest(new PointDonationServiceTest("findBymemberIdList"));
		suite.addTest(new PointDonationServiceTest("organizationDonationTx"));
		return suite;
	}


	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
        include("app.dicon");
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
	}

	public void findById() {
		System.out.println(pointDonationService.findById(1));
	}
	public void insertPointDonationTx() {
		PointDonation pointDonation = new PointDonation();
		pointDonation.memberId = 1;
		pointDonation.organizationId = 1;
		pointDonation.pointNum = 100;
		System.out.println(pointDonationService.insertPointDonation(pointDonation,"test"));
	}
	public void findBymemberId() {
		System.out.println(pointDonationService.findBymemberId(1));
	}
	public void findAllOrderById() {
		System.out.println(pointDonationService.findAllOrderById());
	}
	public void findBymemberIdList() {
		System.out.println(pointDonationService.findBymemberIdList(1));
	}
	public void organizationDonationTx() throws UnsupportedEncodingException, MessagingException, SystemException {
		PointDonation pointDonation = new PointDonation();
		pointDonation.memberId = 1;
		pointDonation.organizationId = 1;
		pointDonation.pointNum = 100;

		Member member = new Member();
		member.memberId = 1;
		//pointDonationService.organizationDonation(pointDonation,member,new Enquete());
	}
}

